
Redmine - Feature #5022

Support for OpenID login authority delegation

2010-03-09 23:57 - Rick Vugteveen

Status: Closed Start date: 2010-03-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Part of the OpenID spec is support for delegation, which allows for one url to delegate login authority to a OpenID server of its

choice. I've used Redmine 0.9.2 with OpenID properly but when I change the ID url to one that delegates login to a 3rd party login no

longer works. Once I change back to my old OpenID everything works properly.

Please consider adding support for this feature. I've filed this as a defect as it is part of the OpenID spec. For more information see 

http://openid.net/specs/openid-authentication-1_1.html#delegating_authentication or Google for various tutorials.

History

#1 - 2010-03-12 14:27 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from OpenID implementation does not support delegation to Support for OpenID login authority delegation

#2 - 2011-09-13 10:48 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#3 - 2021-12-14 01:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
